dbXML API

## com.dbxml.db.enterprise.sync
Class SyncManager

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.extension.SimpleExtension
              com.dbxml.db.enterprise.sync.SyncManager

All Implemented Interfaces:
  Configurable, Extension

public final class SyncManager
extends SimpleExtension

SyncManager

Field Summary
`static java.lang.String[]` `PARAMS_addCollection`
`static java.lang.String[]` `PARAMS_addGroup`
`static java.lang.String[]` `PARAMS_addGroupToContent`
`static java.lang.String[]` `PARAMS_listAllChanges`
`static java.lang.String[]` `PARAMS_listCollections`
`static java.lang.String[]` `PARAMS_listContentGroups`
`static java.lang.String[]` `PARAMS_listGroupChanges`
`static java.lang.String[]` `PARAMS_listGroupContents`
`static java.lang.String[]` `PARAMS_removeCollection`
`static java.lang.String[]` `PARAMS_removeGroup`
`static java.lang.String[]` `PARAMS_removeGroupFromContent`

Constructor Summary
`SyncManager()`

Method Summary
`void` `addCollection(java.lang.String group, java.lang.String collection)`
`void` `addGroup(java.lang.String group)`
`void` `addGroupToContent(java.lang.String path, java.lang.String group)`
`java.lang.String` `getMachineID()`
`org.w3c.dom.Document` `listAllChanges(java.util.Date date)`
`java.lang.String[]` `listCollections(java.lang.String group)`
`java.lang.String[]` `listContentGroups(java.lang.String path)`
`org.w3c.dom.Document` `listGroupChanges(java.util.Date date, java.lang.String[] groups)`
`java.lang.String[]` `listGroupContents(java.lang.String group)`
`java.lang.String[]` `listGroups()`
`void` `removeCollection(java.lang.String group, java.lang.String collection)`
`void` `removeGroup(java.lang.String group)`
`void` `removeGroupFromContent(java.lang.String path, java.lang.String group)`

Methods inherited from class com.dbxml.db.core.extension.SimpleExtension
`getCollection, getName, setCollection, setConfig`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Field Detail

### PARAMS_addGroup

    public static final java.lang.String[] PARAMS_addGroup

### PARAMS_removeGroup

    public static final java.lang.String[] PARAMS_removeGroup

### PARAMS_addCollection

    public static final java.lang.String[] PARAMS_addCollection

### PARAMS_removeCollection

    public static final java.lang.String[] PARAMS_removeCollection

### PARAMS_listCollections

    public static final java.lang.String[] PARAMS_listCollections

### PARAMS_addGroupToContent

    public static final java.lang.String[] PARAMS_addGroupToContent

### PARAMS_removeGroupFromContent

    public static final java.lang.String[] PARAMS_removeGroupFromContent

### PARAMS_listContentGroups

    public static final java.lang.String[] PARAMS_listContentGroups

### PARAMS_listGroupContents

    public static final java.lang.String[] PARAMS_listGroupContents

### PARAMS_listGroupChanges

    public static final java.lang.String[] PARAMS_listGroupChanges

### PARAMS_listAllChanges

    public static final java.lang.String[] PARAMS_listAllChanges

Constructor Detail

### SyncManager

    public SyncManager()

Method Detail

### getMachineID

    public java.lang.String getMachineID()

### addGroup

    public void addGroup(java.lang.String group)
                  throws DBException

  Throws:
    `DBException`

### removeGroup

    public void removeGroup(java.lang.String group)
                     throws DBException

  Throws:
    `DBException`

### listGroups

    public java.lang.String[] listGroups()
                                  throws DBException

  Throws:
    `DBException`

### addCollection

    public void addCollection(java.lang.String group,
                              java.lang.String collection)
                       throws DBException

  Throws:
    `DBException`

### removeCollection

    public void removeCollection(java.lang.String group,
                                 java.lang.String collection)
                          throws DBException

  Throws:
    `DBException`

### listCollections

    public java.lang.String[] listCollections(java.lang.String group)
                                       throws DBException

  Throws:
    `DBException`

### addGroupToContent

    public void addGroupToContent(java.lang.String path,
                                  java.lang.String group)
                           throws DBException

  Throws:
    `DBException`

### removeGroupFromContent

    public void removeGroupFromContent(java.lang.String path,
                                       java.lang.String group)
                                throws DBException

  Throws:
    `DBException`

### listContentGroups

    public java.lang.String[] listContentGroups(java.lang.String path)
                                         throws DBException

  Throws:
    `DBException`

### listGroupContents

    public java.lang.String[] listGroupContents(java.lang.String group)
                                         throws DBException

  Throws:
    `DBException`

### listGroupChanges

    public org.w3c.dom.Document listGroupChanges(java.util.Date date,
                                                 java.lang.String[] groups)
                                          throws DBException

  Throws:
    `DBException`

### listAllChanges

    public org.w3c.dom.Document listAllChanges(java.util.Date date)
                                        throws DBException

  Throws:
    `DBException`

dbXML API

Copyright (c) 2004 The dbXML Group